APIRules
Get MCP call condition schema
Get the MCP call condition schema: the variables a condition can read, and their fields.
GET
Get the MCP call condition schema: the variables a condition can read, and their fields.
ApiKeyAuthheader
AuthorizationBearer <token>Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.
Required permission
No permission required.
The request has succeeded.
application/json- response
variables*Available variables and their fields.
curl -X GET "https://example.com/rules/scopes/mcp-call/schema"{ "variables": { "property1": { "description": "string", "fields": { "property1": { "type": "string", "description": "string", "fields": { "property1": {}, "property2": {} } }, "property2": { "type": "string", "description": "string", "fields": { "property1": {}, "property2": {} } } }, "dynamic": true }, "property2": { "description": "string", "fields": { "property1": { "type": "string", "description": "string", "fields": { "property1": {}, "property2": {} } }, "property2": { "type": "string", "description": "string", "fields": { "property1": {}, "property2": {} } } }, "dynamic": true } }}